var packageName = "bookmarkshome";
var displayName = "BookmarksHome";
var version = "1.2.10"
var locales = ["en-US","ca-AD","de-DE","fr-FR","it-IT","ja-JP","nl-NL"];

initInstall( displayName, packageName, version );

var profileDir = getFolder( "Profile", "chrome" );
var jarName = packageName + ".jar";
var jarPath = getFolder(profileDir, jarName );

var err = addFile(null, "chrome/" + jarName, profileDir, null);

logComment( "addFile returned: " + err );
if ( err == SUCCESS ) { 
    registerChrome( CONTENT | PROFILE_CHROME, jarPath, "content/" + packageName + "/" );
    registerChrome( SKIN | PROFILE_CHROME, jarPath, "skin/classic/" + packageName + "/" );
    for( var i = 0; i < locales.length; i++ ) {
	registerChrome( LOCALE | PROFILE_CHROME, jarPath, "locale/" + packageName + "/" + locales[i] + "/");
    }
    err = performInstall();
    if ( err == SUCCESS ) {
	alert( "BookmarksHome has been succesfully installed.\n" +
		"Restart your browser to continue." );
    } else { 
	alert("performInstall() failed. Error code:" + err );
	cancelInstall( err );
    }
} else { 
    alert( "Failed to add file" );
    cancelInstall( err );
}

